#include <bits/stdc++.h>
using namespace std;
long long n, q, l, r, i, k;
string s;

int main(){
    cin >> s;
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout .tie(0);
    n=s.size();
    cin >> q;
    while(q--){
        cin >> l >> r ;
        k=1;
        for(i=l-1; i<r-1; i++){
            if(s[i]>s[i+1]) k++;
        }

    cout << k << endl;
    }

    return 0;
}



